Skip to main content
GET
Get usage summary

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

from
string<date>

Inclusive UTC date. Defaults to the earliest selected usage start, or to.

to
string<date>

Inclusive UTC date. Defaults to today.

usageTermsIds
string<uuid>[]
Required array length: 1 - 100 elements
accountIds
string[]
Required array length: 1 - 100 elements
pricingRuleKeys
enum<string>[]
Required array length: 1 - 100 elements
Available options:
apiChecks,
multistepChecks,
browserChecks,
playwrightCheckSuites,
uptimeMonitors,
aiInvocations,
statusPages,
statusPageAdditionalServices,
statusPageAdditionalSubscribers,
additionalSms,
additionalPhoneAlerts

Response

Successful

period
object
required
usageTermsIds
string<uuid>[]
required
totals
object
required
breakdown
object[]
required
coverage
object
required

Dates outside organization usage terms. Credits for gaps are unknown; deliberately filtered terms are excluded.